//Created  on 2019/8/14 by  LCD:https://github.com/liucaide .

/***** 模块文档 *****
 *
 */




import Foundation
import CaamDau

open class VM_SelectSheet {
    open var forms: [[CD_CellProtocol]] = []
    open var reloadData: (() -> Void)?
    open var dismisCallback: (() -> Void)?
    open var tableViewHeight:CGFloat = 50
    open func submitClick(){}
    open func removeClick(){}
    public init() {}
}
extension VM_SelectSheet: CD_ViewModelTableViewProtocol {
    public var _forms: [[CD_CellProtocol]] {
        return forms
    }
    public var _reloadData: (() -> Void)? {
        get{
            return reloadData
        }
        set{
            reloadData = newValue
        }
    }
}
extension VM_SelectSheet {
    public class Model {
        public init() {}
        public var title = ""
        public var id = ""
        public var supId = ""
        public var select:Bool = false
        
        public var title2 = ""
        public var id2 = ""
    }
}
